iOS 9.0 or higher is required in order to be able to use the Wuaki.tv Player on your iPad.

In addition to Android tablets and iPad, you can see what other devices are compatible with  Wuaki.tv by clicking on this link.



Was this article helpful?

2 out of 3 found this helpful